Bug 843453 - Scaled jboss app gears are down after deployed a war file
Scaled jboss app gears are down after deployed a war file
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 07:18 EDT by joycezhang
Modified: 2015-05-14 18:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server log (61.26 KB, text/x-log)
2012-07-26 07:18 EDT, joycezhang
no flags Details

  None (edit)
Description joycezhang 2012-07-26 07:18:06 EDT
Created attachment 600487 [details]
Server log

Description of problem:
Scaled jboss app gears are down after git push sfsbTest-1.0.war file to JBoss.

Here's the log file:
2012/07/26 06:56:36,687 INFO  [org.jboss.as.controller] (DeploymentScanner-threads - 2) JBAS014774: Service status report
JBAS014775:    New missing/unsatisfied dependencies:
      service jboss.naming.context.java.jboss.datasources.MysqlDS (missing) dependents: [service jboss.persistenceunit."sfsbTest-1.0.war#jpa-test"] 

2012/07/26 06:56:36,692 ERROR [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) {"JBAS014653: Composite operation failed and was rolled back. Steps that failed:" 
=> {"Operation step-2" => {"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.persistenceunit.\"sfsbTest-1.0.war#jpa-test\"jboss.naming.context.java.jboss.datasourc
es.MysqlDSMissing[jboss.persistenceunit.\"sfsbTest-1.0.war#jpa-test\"jboss.naming.context.java.jboss.datasources.MysqlDS]"]}}}
2012/07/26 06:56:36,696 ERROR [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS014654: Composite operation was rolled back



Version-Release number of selected component (if applicable):
int.openshift.redhat.com
devenv_1912
rhc-0.96.3

How reproducible:
always

Pre-steps:
Configure JBoss Maven Repository to be available by Maven on client.

Steps to Reproduce:
1.Create a scalable JBoss app

rhc app create -a myjbossscale -t jbossas-7 -s 

2.Build and deploy the sfsbTest-1.0.war file to JBoss 

git clone git://github.com/bdecoste/sfsbTest.git

cd sfsbTest

mvn clean install

cp target/sfsbTest-1.0.war $JBOSS_GIT_REPO/deployments

cd $JBOSS_GIT_REPO/

git add .

git commit -a -m war

git push

3. Hit the application URL and check gears status.
  
Actual results:
Gears are down, the URL is not available.


Expected results:
Gears are up after git push, the URL is available.
Comment 1 Bill DeCoste 2012-07-27 11:28:48 EDT
Modified sfsbTest to use H2 instead of mysql
Comment 2 joycezhang 2012-07-30 06:26:07 EDT
Verified build:
rhc-0.96.4.gem
int.openshift.redhat.com

Verified steps:
1.Create a scalable JBoss app
rhc app create -a myjbossscale -t jbossas-7 -s 

2.Build and deploy the sfsbTest-1.0.war file to JBoss 

git clone git://github.com/bdecoste/sfsbTest.git

cd sfsbTest

mvn clean install

cp target/sfsbTest-1.0.war $JBOSS_GIT_REPO/deployments

cd $JBOSS_GIT_REPO/

git add .

git commit -a -m war

git push
3. Check gears status.

Verified results:
The gears are up and running after git push.

So this bug is fixed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.